#include "KeywordValue.h"
#include <iostream>

namespace jet {

   KeywordValue::KeywordValue(coreutils::ZString data,
			      Global &global,
			      std::map<coreutils::MString, coreutils::MString> &variables,
			      std::map<coreutils::MString, coreutils::MString> &keywords) : MString() {
      while(!data.eod()) {
	 if(data.startsWith("$[") || data.startsWith("#[")) {
	    write(global.getVariable(data, variables, keywords));
	 } else {
	    write(data.charAt(0));
	    data.nextChar();
	 }	 
      }
   }

   KeywordValue::~KeywordValue() {}

}
